import { OnDestroy, OnInit } from '@angular/core';
import { ReportLayoutSelectionEmail } from '@colijnit/mainapi/build/model/report-layout-selection-email.bo';
import { ReportLayoutSelectionPrint } from '@colijnit/mainapi/build/model/report-layout-selection-print.bo';
import { TransactionQuickAccessSendMethodBaseComponent } from '../transaction-quick-access-send-method-base.component';
import { TransactionSendDocumentsComponent } from '../../transaction-send-documents/transaction-send-documents.component';
import { ReportingDocumentPdfBaseRequest } from '@colijnit/mainapi/build/model/reporting-document-pdf-base-request';
import { PdfOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/pdf-order-confirmation-request';
import { ReportingDocumentEmailSignDocBaseRequest } from '@colijnit/mainapi/build/model/reporting-document-email-sign-doc-base-request';
import { ReportingDocumentPrintSignDocBaseRequest } from '@colijnit/mainapi/build/model/reporting-document-print-sign-doc-base-request';
import { LayoutCode } from '@colijnit/transactionapi/build/enum/layout-code.enum';
import { TransactionTypeCategory } from "../../../enum/transaction-type-category.enum";
export declare class TransactionQuickAccessOverviewComponent extends TransactionQuickAccessSendMethodBaseComponent implements OnInit, OnDestroy {
    sendDocumentsComponent: TransactionSendDocumentsComponent;
    showClass(): boolean;
    reportDocumentEmailRequest: ReportingDocumentEmailSignDocBaseRequest;
    reportDocumentPrintRequest: ReportingDocumentPrintSignDocBaseRequest;
    reportDocumentPdfRequest: ReportingDocumentPdfBaseRequest;
    showDirectSell: boolean;
    private _subs;
    ngOnInit(): void;
    ngOnDestroy(): void;
    openSendDialog(): void;
    checkDirectSell(): Promise<void>;
    orderDirectSellLines(): Promise<void>;
    protected emailDocument(request: ReportingDocumentEmailSignDocBaseRequest): Promise<void>;
    protected getDefaultEmailAddressList(): Promise<string[]>;
    protected getEmailLayouts(): Promise<ReportLayoutSelectionEmail[]>;
    protected getPrintLayouts(): Promise<ReportLayoutSelectionPrint[]>;
    protected pdfDocument(request: PdfOrderConfirmationRequest): Promise<void>;
    protected printDocument(request: ReportingDocumentPrintSignDocBaseRequest): Promise<void>;
    protected getDefaultSendMethod(): Promise<number>;
    private _prepareHistoricRequest;
    readonly LayoutCode: typeof LayoutCode;
    protected readonly categories: typeof TransactionTypeCategory;
}
